WiiRumble : UGen {
	*kr { arg state;
		this.multiNew('control', state)
		^0.0		// WiiRumble has no output
	}
}

WiiLED : UGen {
	*kr { arg led1,led2,led3,led4;
		this.multiNew('control', led1,led2,led3,led4)
		^0.0		// WiiLED has no output
	}
}

WiiTrig : UGen {
	*kr { arg threshold;
		^this.multiNew('control', threshold)
	}
}

WiiMotion : UGen {
	*kr { ^this.multiNew('control') }
}

WiimoteX : UGen {
	// warp 0 = linear
	// warp 1 = exponential
	*kr {
		arg minval= -1, maxval=1, warp=0, lag=0.2;
		if (warp === \linear, { warp = 0 });
		if (warp === \exponential, { warp = 1 });
		^this.multiNew('control', minval, maxval, warp, lag)
	}
}

WiimoteY : WiimoteX {}
WiimoteZ : WiimoteX {}

WiimoteUp : UGen {
	*kr { ^this.multiNew('control') }
}

WiimoteDown : UGen {
	*kr { ^this.multiNew('control') }
}

WiimoteLeft : UGen {
	*kr { ^this.multiNew('control') }
}

WiimoteRight : UGen {
	*kr { ^this.multiNew('control') }
}

WiimoteA : UGen {
	*kr { ^this.multiNew('control') }
}

WiimoteB : UGen {
	*kr { ^this.multiNew('control') }
}

WiimoteMinus : UGen {
	*kr { ^this.multiNew('control') }
}

WiimotePlus : UGen {
	*kr { ^this.multiNew('control') }
}

WiimoteHome : UGen {
	*kr { ^this.multiNew('control') }
}

Wiimote1 : UGen {
	*kr { ^this.multiNew('control') }
}

Wiimote2 : UGen {
	*kr { ^this.multiNew('control') }
}
